mia-3drigidreg
Prev | Registration, Comparison, and Transformation of 3D images | Next

### mia-3drigidreg

#### Sysnopis:

`mia-3drigidreg` {-i `io`} {-r `io`} {-o `io`} [ `options` ...]

#### Description:

This program implements the registration of two gray scale 3D images. The transformation is not penalized, therefore, one should only use translation, rigid, or affine transformations as target and run mia-3dnonrigidreg of nonrigid registration is to be achieved.

#### Options:

#### File I/O

-i, --in-image=(input, required); io

  test image. For supported file types see Plugin type: 3dimage/io

-r, --ref-image=(input, required); io

  reference image. For supported file types see Plugin type: 3dimage/io

-o, --out-image=(output, required); io

  registered output image. For supported file types see Plugin type: 3dimage/io

-t, --transformation=(output); io

  transformation output file name. For supported file types see Plugin type: 3dtransform/io

-c, --cost=ssd; factory

  cost function. For supported plug-ins see Plugin type: 3dimage/cost

-l, --levels=3; ulong

  multigrid levels

-O, --optimizer=gsl:opt=simplex,step=1.0; factory

  Optimizer used for minimization. For supported plug-ins see Plugin type: minimizer/singlecost

-f, --transForm=rigid; factory

  transformation type. For supported plug-ins see Plugin type: 3dimage/transform

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Register image test.v to image ref.v affine and write the registered image to reg.v. Use two multiresolution levels and ssd as cost function.

    mia-3drigidreg -i test.v -r ref.v -o reg.v -l 2 -f affine -c ssd

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dnonrigidreg-alt | Home | mia-3dtransform